org.apache.ode.bpel.iapi

## Enum Scheduler.JobType

- java.lang.Object
- - java.lang.Enum<Scheduler.JobType>
  - - org.apache.ode.bpel.iapi.Scheduler.JobType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Scheduler.JobType>
  Enclosing interface:
    Scheduler

      public static enum Scheduler.JobType
      extends java.lang.Enum<Scheduler.JobType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INVOKE_CHECK` is used to check for failed partner invocations.
    `INVOKE_INTERNAL` is used to let the runtime process an incoming message after it has been received and stored by the IL.
    `INVOKE_RESPONSE` is used when the response from a two-way invocation comes back and shall be passed to the runtime.
    `MATCHER` is used to schedule the matchmaking after adding a route to the correlator, i.e.
    `MEX_MATCHER` is used to avoid the race condition when a message has been correlated but no process instance is able to process it and the route has been added meanwhile.
    `RESUME` is used for resuming process instances if the time slice has been exeeded or when the debugger lets the process instance resume.
    `TIMER` is used for scheduled timer tasks like in pick's/evenhandler's onAlarm.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Scheduler.JobType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Scheduler.JobType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIMER

          public static final Scheduler.JobType TIMER

      is used for scheduled timer tasks like in pick's/evenhandler's onAlarm.

    - #### RESUME

          public static final Scheduler.JobType RESUME

      is used for resuming process instances if the time slice has been exeeded or when the debugger lets the process instance resume.

    - #### INVOKE_INTERNAL

          public static final Scheduler.JobType INVOKE_INTERNAL

      is used to let the runtime process an incoming message after it has been received and stored by the IL. It will try to correlate the message if a route to an IMA can be found.

    - #### INVOKE_RESPONSE

          public static final Scheduler.JobType INVOKE_RESPONSE

      is used when the response from a two-way invocation comes back and shall be passed to the runtime.

    - #### MATCHER

          public static final Scheduler.JobType MATCHER

      is used to schedule the matchmaking after adding a route to the correlator, i.e. if a IMA is now waiting for a message. If the message is already in the queue, this matcher job will find it.

    - #### INVOKE_CHECK

          public static final Scheduler.JobType INVOKE_CHECK

      is used to check for failed partner invocations. It runs after a defined time out, checks whether a response has arrived and if not, it marks the MEX as faulted.

    - #### MEX_MATCHER

          public static final Scheduler.JobType MEX_MATCHER

      is used to avoid the race condition when a message has been correlated but no process instance is able to process it and the route has been added meanwhile. It just retries the correlation.

  - ### Method Detail

    - #### values

          public static Scheduler.JobType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Scheduler.JobType c : Scheduler.JobType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Scheduler.JobType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null